# Interface Context

#### Hierarchy

- Context

- Defined in codec/lib/contexts/types.ts:13

#####
Index

### Properties

abi?
binary
compilationId?
compiler?
context
contractId?
contractKind?
contractName?
fallbackAbi?
immutableReferences?
isConstructor
linearizedBaseContracts?
payable?

## Properties

### `Optional` abi

abi?: FunctionAbiBySelectors

- Defined in codec/lib/contexts/types.ts:24

### binary

binary: string

- Defined in codec/lib/contexts/types.ts:15

### `Optional` compilationId

compilationId?: string

- Defined in codec/lib/contexts/types.ts:32

### `Optional` compiler

compiler?: CompilerVersion

- Defined in codec/lib/contexts/types.ts:31

### context

context: string

- Defined in codec/lib/contexts/types.ts:14

### `Optional` contractId

contractId?: number

- Defined in codec/lib/contexts/types.ts:21

### `Optional` contractKind

contractKind?: ContractKind

- Defined in codec/lib/contexts/types.ts:23

### `Optional` contractName

contractName?: string

- Defined in codec/lib/contexts/types.ts:20

### `Optional` fallbackAbi

fallbackAbi?: {
fallback: FallbackEntry;
receive: ReceiveEntry;
}

#### Type declaration

- ##### fallback: FallbackEntry

- ##### receive: ReceiveEntry

- Defined in codec/lib/contexts/types.ts:26

### `Optional` immutableReferences

immutableReferences?: ImmutableReferences

- Defined in codec/lib/contexts/types.ts:19

### isConstructor

isConstructor: boolean

- Defined in codec/lib/contexts/types.ts:18

### `Optional` linearizedBaseContracts

linearizedBaseContracts?: number[]

- Defined in codec/lib/contexts/types.ts:22

### `Optional` payable

payable?: boolean

- Defined in codec/lib/contexts/types.ts:25

Generated using TypeDoc